{-# LANGUAGE EmptyDataDecls #-}
{-# LANGUAGE KindSignatures #-}
module Language.LOL.Typing.Lib.Control.Monad.Classes.EffectsFix where
-- | Effects whose state is parameterized by the 'Monad' stack.

-- * Types of effects

-- | Writer effect
data EffWriterFix (w :: {-m-}(* -> *) -> *)

-- | Reader effect
data EffReaderFix (e :: {-m-}(* -> *) -> *)

-- | Local state change effect
data EffLocalFix (e :: {-m-}(* -> *) -> *)

-- | State effect
data EffStateFix (s :: {-m-}(* -> *) -> *)
