{-# LANGUAGE FlexibleInstances #-}
{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE ScopedTypeVariables #-}
{-# LANGUAGE TupleSections #-}
{-# OPTIONS_GHC -fno-warn-orphans #-}
module Test where

import Data.Function (($))
import System.IO (IO)
import Test.Tasty

import qualified Type.Test
-- import qualified Collect.Test
import qualified Solver.Test
import qualified Expr.Test

main :: IO ()
main =
	defaultMain $ testGroup "Tests"
	 [ Type.Test.tests
	 -- , Collect.Test.tests
	 , Solver.Test.tests
	 , Expr.Test.tests
	 ]
